ressource.socialbetadocumentation
API referenceComments

Edit one of the caller's comments

Someone else's comment is 404.

PATCH
/api/v1/comments/{id}

Sends a real request with your token. Prefer a read-only token; it is kept in this browser's storage.

Someone else's comment is 404.

Authorization

headerAuthorizationBearer <token>

A personal access token (rsk_…) or a Supabase access token.

Path Parameters

id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Request Body

application/json
  1. body
content*string
Length1 <= length <= 10000

Response Body

The comment

application/json
  1. response
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
bookmark_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
user_id*|null
content*string
parent_comment_id*|null
organization_id*|null
is_note*boolean
mentions*array<>|null
created_at*string
updated_at*string|null
user*|

Null for a private member the caller is not connected to

curl -X PATCH 'https://www.ressource.social/api/v1/comments/string' \  -H 'Content-Type: application/json' \  -d '{  "content": "string"}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "bookmark_id": "49a78d35-bc45-4a39-a336-d00349864577",  "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",  "content": "string",  "parent_comment_id": "42e5891d-0323-4706-8826-2064102ce531",  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",  "is_note": true,  "mentions": [    "777c52f7-3433-49cb-b0a3-cd6473c2c951"  ],  "created_at": "string",  "updated_at": "string",  "user": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "username": "string",    "full_name": "string",    "avatar_url": "string"  }}